/* --- Desktop | 1600px and up ---- */

@media screen and (min-width: 992px) {

    .container {
        max-width: 168rem;
        padding-left: 2rem;
        padding-right: 2rem;
    }

}

/* --- Tablet | 991px and down ---- */

@media screen and (max-width: 991px) {

    html {
        font-size: 62.5%;
    }

    /* title */
    .title_xxl {
        font-size: 4.5rem;
    }

    /* text */
    .text_xxl {
        font-size: 3rem;
    }

    .text_base {
        font-size: 2.5rem;
    }


    /* button */
    .button {
        font-size: 1.8rem;
        padding: 2.2rem 3rem;
    }


    /* ======home page======== */

    .header_section {
        padding: 4rem 0;
    }

    .menu {
        position: fixed;
        top: 0;
        right: -100%;
        width: 40rem;
        height: 100vh;
        border-radius: 4rem 0 0 4rem;
        flex-direction: column;
        justify-content: flex-start;
        align-items: center;
        gap: 6rem;
        padding: 15rem 2rem 2rem 2rem;
        z-index: 111;
        box-shadow: -0.4rem -0.4rem 2rem 1rem rgb(0, 0, 0, 0.25);
        transition: 300ms;
    }

    .menu.show {
        right: 0;
    }

    .menu_close {
        position: absolute;
        top: 3rem;
        right: 3rem;
        width: 5rem;
        height: 5rem;
        border-radius: 50%;
        background: #2f2f2f;
        border: none;
        padding: 0;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .menu_close:hover {
        background: #000;
    }

    .menu_close img {
        width: 2rem;
    }

    .hero_section h1 {
        font-size: 6.5rem;
    }

    .who_we_are_content h3 {
        padding-bottom: 3rem;
    }

    .service_section .row {
        --bs-gutter-x: 4rem;
        --bs-gutter-y: 3rem;
    }

    .box_img {
        border-radius: 4.2rem;
    }

    .service_box .box_img img {
        border-radius: 4.2rem;
        height: 26.8rem;
        object-fit: cover;
    }

    .about_section {
        padding-bottom: 10rem;
    }

    .about_section h3 {
        padding-bottom: 5rem;
    }

    .about_content {
        padding-bottom: 6rem;
    }

    .about_img {
        text-align: center;
    }

    .about_img img {
        width: 25rem;
    }

    .footer_section {
        padding: 7rem 0;
    }

    .footer_section .row {
        --bs-gutter-x: 3rem;
        --bs-gutter-y: 5rem;
    }

    .footer_wrapper h4 {
        font-size: 3rem;
        padding-bottom: 2rem;
    }

    .footer_logo {
        text-align: center;
    }

    .footer_logo img {
        width: 16rem;
    }

    .footer_list {
        text-align: left;
    }

    /* =====who we are page===== */
    .who_we_are_texts p:not(:last-child) {
        padding-bottom: 2rem;
    }

    .who_we_are_section {
        padding: 7rem 0 12rem;
    }

    /* =====service page===== */
    .our_service_section {
        padding: 7rem 0;
    }

    .our_service_content h3 {
        padding-bottom: 3rem;
    }

    .service_section h3 {
        padding-bottom: 4rem;
    }

    /* =====internal revolation page===== */
    .internal_section {
        padding: 7rem 0;
    }

    .revamp_section {
        padding: 7rem 0 15rem;
    }

    .revamp_content h3 {
        padding-bottom: 3rem;
    }

    /* =====external revolation page===== */
    .revamp_v1 {
        padding: 0;
        padding: 7rem 0 10rem;
    }

    .revamp_content P:not(:last-child) {
        padding-bottom: 2rem;
    }

    .choose_us_content h3 {
        padding-bottom: 3rem;
    }

    .choose_us_section {
        padding-bottom: 10rem;
    }

    /* =====kitchen revolation page===== */
    .kitchen_hero {
        padding: 30.7rem 0 10rem;
    }

    .kitchen_renovation_section {
        padding: 7rem 0;
    }

    .kitchen_renovation_content h3 {
        padding-bottom: 3rem;
    }

    .kitchen_renovation_content p {
        padding-bottom: 2rem;
    }

    .for_kitchen_section h2 {
        padding-bottom: 5rem;
        text-align: center;
    }

    .for_kitchen_section {
        padding-bottom: 10rem;
    }

    .for_kitchen_item:not(:last-child) {
        padding-bottom: 6rem;
    }

    .for_kitchen_item .item_img {
        padding-bottom: 4rem;
    }

    .for_kitchen_item .item_img img {
        width: 25rem;
        display: block;
        margin-left: auto;
        margin-right: auto;
    }

    .for_kitchen_item .item_content h3 {
        padding-bottom: 1rem;
    }

    /* =====Bathroom revolation page===== */
    .bathroom_header {
        padding: 30rem 0 10rem;
    }

    .bathroom_renovation_section {
        padding: 7rem 0;
    }

    .bathroom_renovation_content h3 {
        padding-bottom: 3rem;
    }

    .bathroom_renovation_content p:not(:last-child) {
        padding-bottom: 2rem;
    }

    .for_bathroom_section h2 {
        padding-bottom: 5.5rem;
    }

    .for_bathroom_section {
        padding-bottom: 10rem;
    }

    /* =====room revolation page===== */
    .room_renovation_section {
        padding: 7rem 0;
    }

    .room_renovation_content h3 {
        padding-bottom: 3rem;
    }

    .room_renovation_content p:not(:last-child) {
        padding-bottom: 2rem;
    }

    .for_room_section {
        padding-bottom: 10rem;
    }

    /* =====badroom revolation page===== */
    .for_room_section h2 {
        padding-bottom: 5rem;
    }


    /* =====construction page===== */
    .construction_hero {
        padding: 30rem 0 10rem;
    }

    /* =====Roops page===== */
    .roops_hero {
        padding: 30rem 0 10rem;
    }

    /* =====Roops page===== */
    .desings_hero {
        padding: 30rem 0 10rem;
    }

    /* =====Contact page===== */
    .contact_hero {
        padding: 30rem 0 8rem;
    }

    .contact_section {
        padding: 7rem 0 10rem;
    }

    .contact_section h3 {
        padding-bottom: 5rem;
    }

    .contact_form input,
    .contact_form textarea {
        width: 100%;
        font-size: 2.5rem;
        border: 0.2rem solid var(--primery-color);
        border-radius: 3rem;
    }

    .contact_form input {
        padding: 2.2rem 2.5rem;
    }

    .contact_button {
        font-size: 4rem;
        padding: 2.2rem 4rem;
    }

    .who_we_are_header,
    .service_header,
    .internal_header,
    .external_header {
        height: 25rem;
    }

    .service_section {
        padding-bottom: 14rem;
    }

    .kitchen_hero h1 br,
    .construction_hero h1 br {
        display: none;
    }

    .bathroom_hero,
    .room_header,
    .bed_room_hero {
        padding-top: 32rem;
    }

    .alert {
        border-radius: 2.4rem;
        font-size: 3rem;
        gap: 1.6rem;
        padding: 1.6rem 2rem;
    }

    .spinner-border {
        width: 3rem;
        height: 3rem;
    }

    .work_images_section {
        padding: 8rem 0;
    }

    .work_cards_section .row {
        --bs-gutter-x: 15rem;
        --bs-gutter-y: 10rem;
    }

    .work_images_section .grid1,
    .work_images_section .grid2,
    .work_images_section .grid3,
    .work_images_section .grid4,
    .work_images_section .grid5,
    .work_images_section .grid6,
    .work_images_section .grid7 {
        grid-template-columns: 1fr;
    }

    .hero_section .btn_group {
        gap: 3rem;
    }

}


/* --- Mobile | 767px and down ---- */

@media screen and (max-width: 767px) {

    .container {
        padding-left: 2rem;
        padding-right: 2rem;
    }


    /* title */
    .title_xxl {
        font-size: 3rem;
    }

    /* text */
    .text_xxl {
        font-size: 2rem;
    }

    .text_base {
        font-size: 2rem;
    }


    /* button */
    .button {
        font-size: 1.6rem;
        padding: 1.6rem 2.2rem;
    }

    /* ========home page========= */

    .header_section {
        padding: 3rem 0;
    }

    .logo {
        width: 10rem;
    }

    .hamburger {
        width: 3.2rem;
        margin-right: 0.5rem;
    }

    .menu {
        width: 28rem;
        gap: 3rem;
        padding: 9rem 2rem 2rem 2rem;
        border-radius: 3rem 0 0 3rem;
    }

    .menu li a {
        font-size: 2rem;
    }

    .menu_close {
        width: 4rem;
        height: 4rem;
        right: 2rem;
        top: 2rem;
    }

    .menu_close img {
        width: 1.6rem;
    }

    .hero_section h1 {
        font-size: 4.3rem;
    }

    .about_img img {
        width: 20rem;
    }

    .footer_logo {
        margin: 0;
        text-align: center;
    }

    .footer_logo img {
        width: 13rem;
    }

    .footer_wrapper h4 {
        font-size: 2.5rem;
        padding-bottom: 1rem;
    }

    .footer_info p,
    .footer_info a,
    .footer_list a {
        font-size: 1.8rem;
    }

    /* ========who we are page========= */
    .who_we_are_content h3 {
        padding-bottom: 2.5rem;
    }

    .who_we_are_texts p:not(:last-child) {
        padding-bottom: 1.3rem;
    }

    /* ========internal renovation page========= */
    .revamp_section {
        padding: 5.4rem 0 10.5rem;
    }

    /* ========external renovation page========= */
    .revamp_v1 {
        padding: 0;
        padding: 7rem 0;
    }

    .revamp_content h3 {
        padding-bottom: 2.5rem;
    }

    .revamp_content P:not(:last-child) {
        padding-bottom: 1.3rem;
    }

    /* ========bathroom renovation page========= */
    .hero_wrapper h1 {
        padding-bottom: 2rem;
    }

    .hero_wrapper h1 br {
        display: none;
    }

    .bathroom_renovation_content p:not(:last-child) {
        padding-bottom: 1.3rem;
    }

    .for_bathroom_section h2 br {
        display: none;
    }

    .for_kitchen_item .item_img {
        text-align: center;
    }

    .for_kitchen_item .item_img img {
        width: 15rem;
        display: block;
        margin-left: auto;
        margin-right: auto;
    }

    /* ========room renovation page========= */
    .room_renovation_content h3 {
        padding-bottom: 2rem;
    }

    .room_renovation_content p:not(:last-child) {
        padding-bottom: 1.3rem;
    }

    .for_room_section h2 br {
        display: none;
    }

    /* =====Roops page===== */
    .contact_section h3 {
        padding-bottom: 3rem;
    }

    .contact_form input,
    .contact_form textarea {
        width: 100%;
        font-size: 1.8rem;
        border-radius: 2rem;
    }

    .contact_form input {
        padding: 1.6rem 1.6rem;
    }

    .contact_form textarea {
        height: 30rem;
    }

    .contact_button {
        font-size: 2.3rem;
        padding: 1.4rem 3rem;
        border-radius: 2rem;
    }

    .who_we_are_header,
    .service_header,
    .internal_header,
    .external_header {
        height: 18rem;
    }

    .service_section {
        padding-bottom: 12rem;
    }
    

    .alert {
        border-radius: 2rem;
        font-size: 2rem;
        gap: 1rem;
        padding: 1rem 1.5rem;
    }

    .spinner-border {
        width: 2rem;
        height: 2rem;
    }

    .drawing_board_hero {
        padding: 20rem 0 8rem;
    }

    .work_cards_section {
        padding: 8rem 0;
    }

    .work_cards_section .row {
        --bs-gutter-y: 4rem;
    }

    .work_image_card {
        border-radius: 3rem;
    }

    .work_image_card .title_xl {
        bottom: 3rem;
        right: 3rem;
        font-size: 2.4rem;
        gap: 2rem;
    }

    .work_image_card .title_xl img {
        width: 4rem;
    }

    .work_image_card img.w-100 {
        border-radius: 3rem;
        height: 32rem;
    }

    .hero_section .btn_group {
        flex-direction: column;
        align-items: start;
        justify-content: start;
        gap: 2rem;
    }

    .hero_section .btn_group .button {
        text-align: center;
    }

}


/*----- xs devices 575px and down -----*/
@media screen and (max-width: 575px) {

    html {
        font-size: 2.415vw;
    }

}